package com.jpsoft.printing.modules.base.dao;

import java.math.BigDecimal;
import java.util.List;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Account;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface AccountDAO {
	int insert(Account entity);
	int update(Account entity);
	int exist(String id);
	Account get(String id);
	int delete(String id);
	List<Account> list();
	List<Account> search(Map<String,Object> searchParams,List<Sort> sortList);
	BigDecimal getBalance(String customerId, String deadline);
	Account getByWorkId(String workId);
	List<Account> findTransactionList(String customerId, Integer type, String startDay, String endDay, String order, Integer limit);
	List<Account> findList(String customerId, Integer type, String startDay, String endDay, String order);
}