package com.jpsoft.printing.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_account的实体类
 */
@Data
@ApiModel(value = "base_account的实体类")
public class Account {
        @ApiModelProperty(value = "ID")
    private String id;
        @ApiModelProperty(value = "客户编号")
    private String customerId;
    private String customerName;
        @ApiModelProperty(value = "工单编号")
    private String workId;
        @ApiModelProperty(value = "类型（0-订单 1-收款 2-冲账）")
    private Integer type;
        @ApiModelProperty(value = "计划单号")
    private String planNumber;
        @ApiModelProperty(value = "实数金额")
    private BigDecimal actualAmount;
        @ApiModelProperty(value = "坯布金额")
    private BigDecimal clothAmount;
        @ApiModelProperty(value = "力工金额")
    private BigDecimal rollAmount;
        @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;
        @ApiModelProperty(value = "删除标示")
    private Boolean delFlag;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}