package com.jpsoft.printing.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_stock的实体类
 */
@Data
@ApiModel(value = "base_stock的实体类")
public class Stock {
        @ApiModelProperty(value = "ID")
    private String id;
        @ApiModelProperty(value = "工单编号")
    private String workId;
        @ApiModelProperty(value = "机器名")
    private String machineName;
    @ApiModelProperty(value = "编号")
    private Integer stockNumber;
        @ApiModelProperty(value = "长度")
    private BigDecimal length;
        @ApiModelProperty(value = "标签长度")
    private BigDecimal tagLength;
        @ApiModelProperty(value = "瑕疵")
    private String flaw;
        @ApiModelProperty(value = "状态")
    private Integer status;
        @ApiModelProperty(value = "删除标示")
    private Boolean delFlag;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private String workName;
    private String number;
    private String colour;
}