package com.jpsoft.printing.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_work的实体类
 */
@Data
@ApiModel(value = "base_work的实体类")
public class Work {
        @ApiModelProperty(value = "ID")
    private String id;
        @ApiModelProperty(value = "客户编号")
    private String customerId;
    private String customerName;
        @ApiModelProperty(value = "品种及规格")
    private String name;
        @ApiModelProperty(value = "幅宽")
    private Double width;
        @ApiModelProperty(value = "编号")
    private String number;
        @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
	    @ApiModelProperty(value = "投坯日")
    private Date processDate;
        @ApiModelProperty(value = "投坯数")
    private Integer processVolume;
        @ApiModelProperty(value = "投坯数备注")
    private String processRemark;
        @ApiModelProperty(value = "投坯卷数")
    private Integer processNumber;
        @ApiModelProperty(value = "伸长率")
    private BigDecimal ratio;
        @ApiModelProperty(value = "色泽")
    private String colour;
        @ApiModelProperty(value = "应交成品数")
    private BigDecimal estimateQuantity;
    @ApiModelProperty(value = "应交成品数备注")
    private String estimateRemark;
        @ApiModelProperty(value = "单价（元/米）")
    private BigDecimal unitPrice;
        @ApiModelProperty(value = "原因")
    private String reason;
        @ApiModelProperty(value = "坯布价（元/米）")
    private BigDecimal clothPrice;
        @ApiModelProperty(value = "力资（元/卷）")
    private BigDecimal wages;
        @ApiModelProperty(value = "卷长（米/卷）")
    private BigDecimal rollLength;
        @ApiModelProperty(value = "挂码运算")
    private String tagOperator;
        @ApiModelProperty(value = "挂码系数")
    private BigDecimal tagFactor;
        @ApiModelProperty(value = "挂码系数（存储）")
    private BigDecimal tagFactorSave;
        @ApiModelProperty(value = "挂码单位")
    private String tagUnit;
        @ApiModelProperty(value = "是否取整")
    private Boolean isInteger;
        @ApiModelProperty(value = "备注")
    private String remark;
        @ApiModelProperty(value = "状态")
    private Boolean status;
        @ApiModelProperty(value = "删除标示")
    private Boolean delFlag;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "实交成品数")
    private BigDecimal actualQuantity;
    @ApiModelProperty(value = "实交成品金额")
    private BigDecimal actualAmount;
    @ApiModelProperty(value = "坯布数")
    private BigDecimal clothQuantity;
    @ApiModelProperty(value = "坯布金额")
    private BigDecimal clothAmount;
    @ApiModelProperty(value = "卷数")
    private BigDecimal rollQuantity;
    @ApiModelProperty(value = "卷金额")
    private BigDecimal rollAmount;
    @ApiModelProperty(value = "合计金额")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "有无账单")
    private Boolean haveBills;
    @ApiModelProperty(value = "总卷数")
    private Integer totalStock;
    @ApiModelProperty(value = "总长度")
    private BigDecimal totalLength;
}