package com.jpsoft.printing.modules.base.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import com.jpsoft.printing.modules.base.entity.Account;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface AccountService {
	Account get(String id);
	boolean exist(String id);
	int insert(Account model);
	int update(Account model);
	int delete(String id);
	List<Account> list();
	Page<Account> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	BigDecimal getBalance(String customerId, String deadline);
	Account getByWorkId(String workId);
	List<Account> findTransactionList(String customerId, Integer type, String startDay, String endDay, String order, Integer limit);
	List<Account> findList(String customerId, Integer type, String startDay, String endDay, String order);
}