package com.jpsoft.printing.modules.base.service.impl;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.printing.modules.base.dao.AccountDAO;
import com.jpsoft.printing.modules.base.entity.Account;
import com.jpsoft.printing.modules.base.service.AccountService;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="accountService")
public class AccountServiceImpl implements AccountService {
	@Resource(name="accountDAO")
	private AccountDAO accountDAO;

	@Override
	public Account get(String id) {
		// TODO Auto-generated method stub
		return accountDAO.get(id);
	}

	@Override
	public int insert(Account model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return accountDAO.insert(model);
	}

	@Override
	public int update(Account model) {
		// TODO Auto-generated method stub
		return accountDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return accountDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = accountDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<Account> list() {
		// TODO Auto-generated method stub
		return accountDAO.list();
	}
		
	@Override
	public Page<Account> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<Account> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            accountDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public BigDecimal getBalance(String customerId, String deadline) {
		return accountDAO.getBalance(customerId, deadline);
	}

	@Override
	public Account getByWorkId(String workId) {
		return accountDAO.getByWorkId(workId);
	}

	@Override
	public List<Account> findTransactionList(String customerId, Integer type, String startDay, String endDay, String order, Integer limit) {
		return accountDAO.findTransactionList(customerId, type, startDay, endDay, order, limit);
	}

	@Override
	public List<Account> findList(String customerId, Integer type, String startDay, String endDay, String order) {
		return accountDAO.findList(customerId, type, startDay, endDay, order);
	}
}