package com.jpsoft.printing.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.printing.modules.base.dao.CustomerDAO;
import com.jpsoft.printing.modules.base.entity.Customer;
import com.jpsoft.printing.modules.base.service.CustomerService;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="customerService")
public class CustomerServiceImpl implements CustomerService {
	@Resource(name="customerDAO")
	private CustomerDAO customerDAO;

	@Override
	public Customer get(String id) {
		// TODO Auto-generated method stub
		return customerDAO.get(id);
	}

	@Override
	public int insert(Customer model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return customerDAO.insert(model);
	}

	@Override
	public int update(Customer model) {
		// TODO Auto-generated method stub
		return customerDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return customerDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = customerDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<Customer> list() {
		// TODO Auto-generated method stub
		return customerDAO.list();
	}
		
	@Override
	public Page<Customer> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<Customer> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            customerDAO.search(searchParams,sortList);
        });
        
        return page;
	}
}