package com.jpsoft.printing.modules.base.service.impl;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.printing.modules.base.dao.StockDAO;
import com.jpsoft.printing.modules.base.entity.Stock;
import com.jpsoft.printing.modules.base.service.StockService;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="stockService")
public class StockServiceImpl implements StockService {
	@Resource(name="stockDAO")
	private StockDAO stockDAO;

	@Override
	public Stock get(String id) {
		// TODO Auto-generated method stub
		return stockDAO.get(id);
	}

	@Override
	public int insert(Stock model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return stockDAO.insert(model);
	}

	@Override
	public int update(Stock model) {
		// TODO Auto-generated method stub
		return stockDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return stockDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = stockDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<Stock> list() {
		// TODO Auto-generated method stub
		return stockDAO.list();
	}
		
	@Override
	public Page<Stock> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<Stock> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            stockDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public BigDecimal getActualQuantity(String workId) {
		BigDecimal sum = stockDAO.getActualQuantity(workId);
		return sum;
	}

	@Override
	public BigDecimal getRollQuantity(String workId) {
		return stockDAO.getRollQuantity(workId);
	}

	@Override
	public List<Stock> findList(String workId) {
		// TODO Auto-generated method stub
		return stockDAO.findList(workId);
	}
}