package com.jpsoft.printing.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.printing.modules.base.dao.WorkDAO;
import com.jpsoft.printing.modules.base.entity.Work;
import com.jpsoft.printing.modules.base.service.WorkService;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="workService")
public class WorkServiceImpl implements WorkService {
	@Resource(name="workDAO")
	private WorkDAO workDAO;

	@Override
	public Work get(String id) {
		// TODO Auto-generated method stub
		return workDAO.get(id);
	}

	@Override
	public int insert(Work model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return workDAO.insert(model);
	}

	@Override
	public int update(Work model) {
		// TODO Auto-generated method stub
		return workDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return workDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = workDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<Work> list() {
		// TODO Auto-generated method stub
		return workDAO.list();
	}
		
	@Override
	public Page<Work> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<Work> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            workDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public String getSumVolume(String startDay, String endDay) {
		return workDAO.getSumVolume(startDay, endDay);
	}

	@Override
	public String getSumNumber(String startDay, String endDay) {
		return workDAO.getSumNumber(startDay, endDay);
	}

	@Override
	public List<Work> findList(String startDay, String endDay, String order) {
		// TODO Auto-generated method stub
		return workDAO.findList(startDay, endDay, order);
	}
}