package com.jpsoft.printing.modules.sys.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.jpsoft.printing.modules.common.dto.Sort;
import com.jpsoft.printing.modules.sys.dao.SysLogDAO;
import com.jpsoft.printing.modules.sys.entity.SysLog;
import com.jpsoft.printing.modules.sys.service.SysLogService;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.UUID;

@Transactional
@Component(value="sysLogService")
public class SysLogServiceImpl implements SysLogService {
	@Resource(name="sysLogDAO")
	private SysLogDAO sysLogDAO;

	@Override
	public SysLog get(Long id) {
		// TODO Auto-generated method stub
		return sysLogDAO.get(id);
	}

	@Override
	public int insert(SysLog model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return sysLogDAO.insert(model);
	}

	@Override
	public int update(SysLog model) {
		// TODO Auto-generated method stub
		return sysLogDAO.update(model);		
	}

	@Override
	public int delete(Long id) {
		// TODO Auto-generated method stub
		return sysLogDAO.delete(id);
	}

	@Override
	public boolean exist(Long id) {
		// TODO Auto-generated method stub
		int count = sysLogDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<SysLog> list() {
		// TODO Auto-generated method stub
		return sysLogDAO.list();
	}
		
	@Override
	public Page<SysLog> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,List<Sort> sortList) {
        Page<SysLog> page = PageHelper.startPage(pageNumber,pageSize).doSelectPage(()->{
            sysLogDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public int addLog(String userId, String remoteIp, String url, String data, Long elapse, String pointcut, String remark) {
		SysLog sysLog = new SysLog();
		sysLog.setId(UUID.randomUUID().toString());
		sysLog.setUserId(userId);
		sysLog.setRemoteIp(remoteIp);
		sysLog.setUrl(url);
		sysLog.setData(data);
		sysLog.setElapse(elapse);
		sysLog.setPointcut(pointcut);
		sysLog.setRemark(remark);
		sysLog.setCreateTime(new Date());

		return sysLogDAO.insert(sysLog);
	}
}