package com.jpsoft.printing.modules;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import com.jpsoft.printing.modules.base.entity.Work;
import com.jpsoft.printing.modules.base.service.AccountService;
import com.jpsoft.printing.modules.base.service.WorkService;
import com.jpsoft.printing.modules.common.dto.MessageResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.*;

@RestController
@RequestMapping("/home")
@Api(description = "home")
public class HomeController {
    private Logger logger = LoggerFactory.getLogger(getClass());

    @Autowired
    private WorkService workService;
    @Autowired
    private AccountService accountService;

    @ApiOperation(value="月度数据")
    @RequestMapping(value = "monthlyData",method = RequestMethod.POST)
    public MessageResult monthlyData(){
        MessageResult msgResult = new MessageResult<>();
        List<String> listVolume = new ArrayList<>();
        List<String> listNumber = new ArrayList<>();

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.DAY_OF_MONTH, 1);

        for(int i=0; i<12; i++) {
            calendar.set(Calendar.MONTH, i);
            String startDay = format.format(calendar.getTime());
            calendar.set(Calendar.MONTH, i+1);
            String endDay = format.format(calendar.getTime());

            String sumVolume = workService.getSumVolume(startDay, endDay);
            String sumNumber = workService.getSumNumber(startDay, endDay);
            listVolume.add(sumVolume);
            listNumber.add(sumNumber);
        }

        Map<String, Object> map = new HashMap<>();
        map.put("listVolume", listVolume);
        map.put("listNumber", listNumber);

        msgResult.setResult(true);
        msgResult.setData(map);

        return msgResult;
    }
}
